; Rootfly Setup
; Clemson University
; Created Using Inno Setup Compiler 5.2.3

[Setup]
; NOTE: The value of AppId uniquely identifies this application.
; Do not use the same AppId value in installers for other applications.
AppId={{451C8F0E-CA70-43DA-A171-40D18F598ECE}
AppName=Rootfly
AppVerName=Rootfly Version 1.8.26
AppPublisher=Clemson University
AppPublisherURL=http://www.ces.clemson.edu/~stb/rootfly
AppSupportURL=http://www.ces.clemson.edu/~stb/rootfly
AppUpdatesURL=http://www.ces.clemson.edu/~stb/rootfly
DefaultDirName={pf}\Rootfly
DefaultGroupName=Rootfly
LicenseFile=C:\stb\cvs-local\class\rootfly\spring2008\Rootfly\installer\gnu_license.txt
OutputBaseFilename=Rootfly_1_8_26_setup
Compression=lzma
SolidCompression=yes
ChangesAssociations=yes

[Registry]
Root: HKCR; Subkey: ".rfy"; ValueType: string; ValueName: ""; ValueData: "RootflyFile"; Flags: uninsdeletevalue
Root: HKCR; Subkey: "RootflyFile"; ValueType: string; ValueName: ""; ValueData: "Rootfly File"; Flags: uninsdeletekey
Root: HKCR; Subkey: "RootflyFile\DefaultIcon"; ValueType: string; ValueName: ""; ValueData: "{app}\Rootfly.exe,0"
Root: HKCR; Subkey: "RootflyFile\shell\open\command"; ValueType: string; ValueName: ""; ValueData: """{app}\ROOTFLY.EXE"" ""%1"""

[Languages]
Name: "english"; MessagesFile: "compiler:Default.isl"

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: checkedonce
Name: "quicklaunchicon"; Description: "{cm:CreateQuickLaunchIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: unchecked

[Files]
Source: "C:\stb\cvs-local\class\rootfly\spring2008\Rootfly\Release\Rootfly.exe"; DestDir: "{app}"; Flags: ignoreversion
Source: "C:\stb\cvs-local\class\rootfly\spring2008\Rootfly\RootDetect.dll"; DestDir: "{app}"; Flags: ignoreversion
Source: "C:\stb\cvs-local\class\rootfly\spring2008\Rootfly\Rootfly.chm"; DestDir: "{app}"; Flags: ignoreversion
Source: "C:\stb\cvs-local\class\rootfly\spring2008\Rootfly\WinGsl.dll"; DestDir: "{app}";

; NOTE: Don't use "Flags: ignoreversion" on any shared system files
; NOTE: WinGSL.dll is a shared system file
; NOTE: RootDetect.dll is NOT a shared system file

[Icons]
Name: "{group}\Rootfly"; Filename: "{app}\Rootfly.exe"
Name: "{group}\Rootfly Help"; Filename: "{app}\Rootfly.chm"
Name: "{group}\Rootfly on the Web"; Filename: "http://www.ces.clemson.edu/~stb/rootfly"
Name: "{group}\Uninstall Rootfly"; Filename: "{app}\unins000.exe"
Name: "{commondesktop}\Rootfly"; Filename: "{app}\Rootfly.exe"; Tasks: desktopicon
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\Rootfly"; Filename: "{app}\Rootfly.exe"; Tasks: quicklaunchicon

[Run]
Filename: "{app}\Rootfly.exe"; Description: "{cm:LaunchProgram,Rootfly}"; Flags: nowait postinstall skipifsilent


